apiVersion: v1
kind: Service
metadata:
  name: grafana-tailscale
  namespace: observability
  annotations:
    tailscale.com/hostname: grafana
    tailscale.com/tags: "tag:prod,tag:grafana"
    tailscale.com/proxy-class: infra-stable
spec:
  type: LoadBalancer
  loadBalancerClass: tailscale
  selector:
    app.kubernetes.io/name: grafana
  ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 3000
